Subject: Re: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: Juri Linkov <[email-masked]>
Date: Mon, 14 Oct 2019 23:07:50 +0300

>> BTW, is there a reason why the mode line doesn't use a variable-pitch font?
>
> By default?  It would cause unpleasant horizontal movement of text,
> e.g. when the line number changes.  Also, many variable-pitch fonts
> have a very thin glyph for SPC, so different fields could appear as a
> single field, another visual problem.
>
> Of course, nothing prevents people from customizing the face to use
> whatever font they like.

I tried to customize the mode-line face to a variable-pitch font,
and indeed glyphs not only for SPC, but for 1-character indicators '-'
and '*' that toggle e.g. writable/modification states or switch coding,
are so thin that it's hard to click them with the mouse.

There is no such problem in tabs where clicking area is wide.

>> I tried a variable-pitch font for tab bars, and it looks good
>> and makes tab widths smaller, so more tabs fits into the tab-bar.
>
> Could be a good idea.  Toolkit menu bars definitely use variable-pitch
> fonts on most systems.

So I changed tab bars to use variable-pitch fonts.